My Oracle Support Banner

Ksplice was Unable To Install this Update Because Your Running Kernel has been Modified (Doc ID 2569881.1)

Last updated on SEPTEMBER 16, 2020

Applies to:

Linux OS - Version Oracle Linux 6.8 and later
Linux x86-64

Symptoms

A server has previously been able to successfully download and apply new ksplice uptrack updates, however any attempts to download new ksplice uptrack updates now fail.

An example of this failure (when running uptrack-upgrade -y) is included below:

#uptrack-upgrade -y
Installing [1khk2y47] Improved fix to CVE-2019-11091, CVE-2018-12126, CVE-2018-12130, CVE-2018-12127: Microarchitectural Data Sampling.
Error processing ksplice-1khk2y47.tar.gz

Ksplice was unable to install this update because your running kernel has been modified from the version provided by your vendor. Please contact ksplice-support_ww@oracle.com for help resolving this issue [FAILED]

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Cause
Solution
References


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.